<div class="page page-large">
	<h1>Gestion des liens</h1>

	<div class="actions">
		<a class="add" href="<?php echo Url::display (array ('c' => 'admin_lien', 'a' => 'add')); ?>">
			<i class="fa fa-plus"></i>
			Ajouter un lien
		</a>
		<a class="back" href="<?php echo Url::display (array ('c' => 'admin')); ?>">Retour au panel</a>
	</div>

	<?php if (isset ($this->error)) { ?>
		<div class="alert alert-error"><?php echo $this->error; ?></div>
	<?php } ?>

	<?php if (isset ($this->ok)) { ?>
		<div class="alert alert-ok"><?php echo $this->ok; ?></div>
	<?php } ?>

	<table>
		<tr>
			<th>URL</th>
			<th>Libellé</th>
			<th>Gestion</th>
		</tr>

		<?php foreach ($this->liens as $lien) { ?>
			<tr>
				<td><?php echo $lien->url (); ?></td>

				<td><?php echo $lien->libelle (); ?></td>

				<td class="actions">
					<a href="<?php echo Url::display (array ('c' => 'admin_lien', 'a' => 'update', 'params' => array ('id' => $lien->id ()))); ?>">
						<i class="fa fa-pencil"></i>
						Modifier
					</a>

					<a data-confirm="Êtes-vous certain·e de vouloir supprimer ce lien ?" href="<?php echo Url::display (array ('c' => 'admin_lien', 'a' => 'delete', 'params' => array ('id' => $lien->id ()))); ?>">
						<i class="fa fa-times"></i>
						Supprimer
					</a>
				</td>
			</tr>
		<?php } ?>
	</table>
</div>
